<?php

namespace Modules\Product\Entities;

use App\Models\BaseModel;

class ModelSection extends BaseModel
{
    protected $guarded = [];

    protected $table = 'product_section';

    public function Product()
    {
        return $this->belongsTo(Model::class, 'product_id');
    }

    public function Items()
    {
        return $this->hasMany(SectionItem::class, 'section_id');
    }
}
